# Keep this site's theme and library picks as a private preset of the project

`POST /hosting/sites/{id}/design-library/presets` · Rivier · hosting

Keep this site's theme and library picks as a private preset of the project.

- Scope: hosting:write
- Graphql: Mutation.hostingLibraryPresetSave
- Sdk: hosting.libraryPreset.save
- Cli: hosting library preset save

## Parameters

- `id` (path, required), string

## Request body

`application/json`

```json
{
  "type": "object",
  "properties": {
    "name": {
      "type": "string",
      "minLength": 1,
      "maxLength": 60
    }
  },
  "required": [
    "name"
  ],
  "additionalProperties": false
}
```

## Responses

- `201`: Success
- `400`: The request was malformed
- `401`: No valid credential
- `403`: The credential lacks the scope, origin or address
- `429`: Over the key's rate limit; see Retry-After

## Example

```sh
curl -X POST 'https://api.rivier.ai/hosting/sites/{id}/design-library/presets' \
  -H 'Authorization: Bearer $KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "name": "string"
}'
```
